commit:     89af6c0e26ca68ebd17bf39f2458b6ce3cd9bdd3
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 27 05:19:56 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jul 27 05:37:46 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89af6c0e

dev-python/websockets: Skip tests that fail on slower hw

The ping tests tend to require execution with millisecond precision.
This makes them fail on slower hardware.

Closes: https://bugs.gentoo.org/804312
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/websockets/websockets-9.1.ebuild | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

diff --git a/dev-python/websockets/websockets-9.1.ebuild 
b/dev-python/websockets/websockets-9.1.ebuild
index 6f59bacfa94..5e3b89269e2 100644
--- a/dev-python/websockets/websockets-9.1.ebuild
+++ b/dev-python/websockets/websockets-9.1.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_COMPAT=( python3_{8..9} )
 
 inherit distutils-r1
 
@@ -16,3 +16,12 @@ SLOT="0"
 KEYWORDS="amd64 arm arm64 ppc ppc64 sparc x86"
 
 distutils_enable_tests unittest
+
+src_prepare() {
+       # these fail due to timeouts on slower hardware
+       sed -e 's:test_keepalive_ping_with_no_ping_timeout:_&:' \
+               -e 's:test_keepalive_ping(:_&:' \
+               -i tests/legacy/test_protocol.py || die
+
+       distutils-r1_src_prepare
+}

Reply via email to